{
  "name": "comparedatasets",
  "display_name": "Compare Datasets",
  "description": "Compare two inputs for changes",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [],
  "properties": [
    {
      "name": "infoBox",
      "display_name": "Items from different branches are paired together when the fields below match. If paired, the rest of the fields are compared to determine whether the items are the same or different",
      "kind": "notice",
      "required": false,
      "default": ""
    },
    {
      "name": "mergeByFields",
      "display_name": "Fields to Match",
      "kind": "fixedCollection",
      "required": false,
      "default": ""
    },
    {
      "name": "resolve",
      "display_name": "When There Are Differences",
      "kind": "options",
      "required": false,
      "default": "preferInput2",
      "description": "Output uses different inputs for different fields"
    },
    {
      "name": "resolve",
      "display_name": "When There Are Differences",
      "kind": "options",
      "required": false,
      "default": "includeBoth",
      "description": "Output uses different inputs for different fields"
    },
    {
      "name": "fuzzyCompare",
      "display_name": "Fuzzy Compare",
      "kind": "boolean",
      "required": false,
      "description": "Whether to tolerate small type differences when comparing fields. E.g. the number 3 and the string "
    },
    {
      "name": "preferWhenMix",
      "display_name": "Prefer",
      "kind": "options",
      "required": false,
      "default": "input1"
    },
    {
      "name": "exceptWhenMix",
      "display_name": "For Everything Except",
      "kind": "string",
      "required": false,
      "default": ""
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "default": "",
      "description": "Fields that shouldn"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/CompareDatasets/CompareDatasets.node.ts"
}